import importlib
import os
from pytracking.evaluation.environment import env_settings
import cv2
import numpy as np
from votTester.vot import VOTTester


def get_parameters(tracker_name, param_file_name):
    param_module = importlib.import_module('pytracking.parameter.{}.{}'.format(tracker_name, param_file_name))
    params = param_module.parameters()
    return params

def read_image(image_file: str):
        return cv2.cvtColor(cv2.imread(image_file), cv2.COLOR_BGR2RGB)

if __name__ == '__main__':

    tracker_module_dimp50 = importlib.import_module('pytracking.tracker.{}'.format('DPMF'))
    tracker_class_dimp50 = tracker_module_dimp50.get_tracker_class()
    params_DPMF_vot20 = get_parameters('DPMF', 'DPMF_param')
    DPMF_vot20 = tracker_class_dimp50(params_DPMF_vot20)
    all_tests = []

    vot2018_path = '/home/jaffe/dataset/VOT/vot2018/VOT2018'
    vot2019_path = '/home/jaffe/dataset/VOT/vot2019/VOT2019'

    print('run vot test')
    for i in range(10):
        testname = 'dimp50_vot20-' + str(i)
        all_tests.append(testname)
        testers1 = VOTTester(DPMF_vot20, testname, dataset_names = ['vot2019'])
        testers1.setpath_dataset( vot18 = vot2018_path, vot19 = vot2019_path)
        testers1.test()
    testers1.pysot_eval.eval(all_tests)





